Overview | Package | Class | Tree | Deprecated | Index | Help
| bea Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## theory.smart.axiom.contact
Interface Person

All Known Subinterfaces:
  Customer

public interface Person
extends Stakeholder

A Person describes a `Stakeholder` that represents a single individual. It contains a full set of instructions

     Primary Key = theory.smart.axiom.contact.PersonPk

                      firstName
     [Person] <*>------> [String]

                      lastName
     [Person] <*>------> [String]

                      middleName
     [Person] <*>------> [String]

                      title
     [Person] <*>------> [String]

                      suffix
     [Person] <*>------> [String]

                      ssn
     [Person] <*>------> [String]

                      dob
     [Person] <*>------> [java.sql.Date]

                      motherMaidenName
     [Person] <*>------> [String]

                      maritalStatus
     [Person] <*>------> [String]

See Also:
  `PersonPk`, `PersonHome`, `PersonImpl`, `PersonValue`

Method Summary
`java.sql.Date` | `getDob()` Get the value of dob
`java.lang.String` | `getFirstName()` Get the value of firstName
`java.lang.String` | `getLastName()` Get the value of lastName
`java.lang.String` | `getMaritalStatus()` Get the value of maritalStatus
`java.lang.String` | `getMiddleName()` Get the value of middleName
`java.lang.String` | `getMotherMaidenName()` Get the value of motherMaidenName
`PersonValue` | `getPersonByValue()` Get all of Person's attributes.
`java.lang.String` | `getSsn()` Get the value of ssn
`java.lang.String` | `getSuffix()` Get the value of suffix
`java.lang.String` | `getTitle()` Get the value of title
`void` | `setDob(java.sql.Date dob)` Set the value of dob
`void` | `setFirstName(java.lang.String firstName)` Set the value of firstName
`void` | `setLastName(java.lang.String lastName)` Set the value of lastName
`void` | `setMaritalStatus(java.lang.String maritalStatus)` Set the value of maritalStatus
`void` | `setMiddleName(java.lang.String middleName)` Set the value of middleName
`void` | `setMotherMaidenName(java.lang.String motherMaidenName)` Set the value of motherMaidenName
`void` | `setPersonByValue(PersonValue value)` Set all of Person's attributes to the passed in value.
`void` | `setSsn(java.lang.String ssn)` Set the value of ssn
`void` | `setSuffix(java.lang.String suffix)` Set the value of suffix
`void` | `setTitle(java.lang.String title)` Set the value of title

Methods inherited from interface theory.smart.axiom.contact.Stakeholder
`addFax, addFax, addFaxes, addFaxes, addFirstFax, addLastFax, containsAddressKey, containsAddressValue, containsEmailKey, containsEmailValue, containsFax, containsPhoneKey, containsPhoneValue, containsUrlKey, containsUrlValue, getAddressByKey, getAddresses, getDescription, getEmailByKey, getEmails, getFax, getFaxes, getFaxes, getFirstFax, getIdentifier, getLastFax, getNamedAddress, getNumberOfAddresses, getNumberOfEmails, getNumberOfFaxes, getNumberOfPhones, getNumberOfUrls, getPhoneByKey, getPhones, getPrimaryAddress, getStakeholderByValue, getUrlByKey, getUrls, indexOfFax, isAddressesEmpty, isEmailsEmpty, isFaxesEmtpy, isPhonesEmpty, isUrlsEmpty, lastIndexOfFax, putAddress, putAddresses, putEmail, putEmails, putPhone, putPhones, putUrl, putUrls, removeAddressByKey, removeAllAddresses, removeAllEmails, removeAllFaxes, removeAllPhones, removeAllUrls, removeEmailByKey, removeFax, removeFax, removeFirstFax, removeLastFax, removePhoneByKey, removeUrlByKey, setDescription, setFax, setPrimaryAddress, setStakeholderByValue`

Methods inherited from interface javax.ejb.EJBObject
`getEJBHome, getHandle, getPrimaryKey, isIdentical, remove`

Method Detail

### getPersonByValue

    public PersonValue getPersonByValue()
                                 throws java.rmi.RemoteException

  Get all of Person's attributes.
  Returns:
    PersonValue the Person value object

### setPersonByValue

    public void setPersonByValue(PersonValue value)
                          throws java.rmi.RemoteException

  Set all of Person's attributes to the passed in value. Note: Primary key attributes are not set.
  Parameters:
    `PersonValue` - the Person value object

### getFirstName

    public java.lang.String getFirstName()
                                  throws java.rmi.RemoteException

  Get the value of firstName
  Returns:
    firstName.

### setFirstName

    public void setFirstName(java.lang.String firstName)
                      throws java.rmi.RemoteException

  Set the value of firstName
  Parameters:
    `firstNames` - firstName to be added

### getLastName

    public java.lang.String getLastName()
                                 throws java.rmi.RemoteException

  Get the value of lastName
  Returns:
    lastName.

### setLastName

    public void setLastName(java.lang.String lastName)
                     throws java.rmi.RemoteException

  Set the value of lastName
  Parameters:
    `lastNames` - lastName to be added

### getMiddleName

    public java.lang.String getMiddleName()
                                   throws java.rmi.RemoteException

  Get the value of middleName
  Returns:
    middleName.

### setMiddleName

    public void setMiddleName(java.lang.String middleName)
                       throws java.rmi.RemoteException

  Set the value of middleName
  Parameters:
    `middleNames` - middleName to be added

### getTitle

    public java.lang.String getTitle()
                              throws java.rmi.RemoteException

  Get the value of title
  Returns:
    title.

### setTitle

    public void setTitle(java.lang.String title)
                  throws java.rmi.RemoteException

  Set the value of title
  Parameters:
    `titles` - title to be added

### getSuffix

    public java.lang.String getSuffix()
                               throws java.rmi.RemoteException

  Get the value of suffix
  Returns:
    suffix.

### setSuffix

    public void setSuffix(java.lang.String suffix)
                   throws java.rmi.RemoteException

  Set the value of suffix
  Parameters:
    `suffixes` - suffix to be added

### getSsn

    public java.lang.String getSsn()
                            throws java.rmi.RemoteException

  Get the value of ssn
  Returns:
    ssn.

### setSsn

    public void setSsn(java.lang.String ssn)
                throws java.rmi.RemoteException

  Set the value of ssn
  Parameters:
    `ssns` - ssn to be added

### getDob

    public java.sql.Date getDob()
                         throws java.rmi.RemoteException

  Get the value of dob
  Returns:
    dob.

### setDob

    public void setDob(java.sql.Date dob)
                throws java.rmi.RemoteException

  Set the value of dob
  Parameters:
    `dobs` - dob to be added

### getMotherMaidenName

    public java.lang.String getMotherMaidenName()
                                         throws java.rmi.RemoteException

  Get the value of motherMaidenName
  Returns:
    motherMaidenName.

### setMotherMaidenName

    public void setMotherMaidenName(java.lang.String motherMaidenName)
                             throws java.rmi.RemoteException

  Set the value of motherMaidenName
  Parameters:
    `motherMaidenNames` - motherMaidenName to be added

### getMaritalStatus

    public java.lang.String getMaritalStatus()
                                      throws java.rmi.RemoteException

  Get the value of maritalStatus
  Returns:
    maritalStatus.

### setMaritalStatus

    public void setMaritalStatus(java.lang.String maritalStatus)
                          throws java.rmi.RemoteException

  Set the value of maritalStatus
  Parameters:
    `maritalStatuses` - maritalStatus to be added

Overview | Package | Class | Tree | Deprecated | Index | Help
| bea Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

© Copyright 2000 bea Systems, Inc. All rights reserved.